error when apt-get

Post your update and upgrade related errors here
Forum rules
Before you post please read this

error when apt-get

Postby amandus on Thu Sep 08, 2011 12:03 pm

I got error when I want to upgrade with the console, but with synaptic it is working, are there anything I can do to to restore apt with any command?
amandus
Level 1
Level 1
 
Posts: 33
Joined: Sun Jul 10, 2011 9:29 am

Linux Mint is funded by ads and donations.
 

Re: error when apt-get

Postby Beardedragon on Thu Sep 08, 2011 1:06 pm

amandus wrote:I got error when I want to upgrade with the console, but with synaptic it is working, are there anything I can do to to restore apt with any command?

It depends upon the error you are getting. If it is something like this:
Code: Select all
Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
Close all applications and reboot.
Robert Collard, Madison, WI
HP s5710f, 2x AMD Athlon II 260@3.2Ghz, 3GB RAM, 640GB HD
Debian 7.1 Wheezy 3,2,0-4 Xfce 4.10 AMD-64
LMDE 3.10.5-1 Xfce 4.10 AMD-64
SalineOS 2.0 3.2.0-4 Xfce 4.8 AMD64
User avatar
Beardedragon
Level 4
Level 4
 
Posts: 346
Joined: Sat Jan 29, 2011 3:37 am

Re: error when apt-get

Postby craigevil on Sat Sep 10, 2011 2:02 pm

It would help if you posted the commands you are using and the error messages.

BTW no need to reboot this isn't windows.
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole

Re: error when apt-get

Postby Beardedragon on Sun Sep 11, 2011 10:43 am

craigevil wrote:BTW no need to reboot this isn't windows.

In this case the recommended reboot will stop all ongoing processes that are not covered by open applications. Some things run in the background you are not aware of.
Robert Collard, Madison, WI
HP s5710f, 2x AMD Athlon II 260@3.2Ghz, 3GB RAM, 640GB HD
Debian 7.1 Wheezy 3,2,0-4 Xfce 4.10 AMD-64
LMDE 3.10.5-1 Xfce 4.10 AMD-64
SalineOS 2.0 3.2.0-4 Xfce 4.8 AMD64
User avatar
Beardedragon
Level 4
Level 4
 
Posts: 346
Joined: Sat Jan 29, 2011 3:37 am


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests